[iOS7]iOS6とiOS7を共存させることについて

現在のiOS6のアプリで使っていたり、またiOS6用のアプリを作ることもあるので、iOS6とiOS7を共存させることはできるでしょうか。
2014-08-27 14:12 コメント
已邀请:
0

iQi - 面白いアプリを開発中

{ 賛成 }:

まず、Xcode5はiOS7(SDK)、Xcode4はiOS6(SDK)と覚えてください。

そこに関してはほぼ問題なく、Xcode4(iOS6)とXcode5(iOS7)を共存させることができます。

Xcode4.6.3をこちらからダウンロードします。
https://developer.apple.com/downloads/index.action

ダウンロードしたXcodeをインストールしようとすると、
今インストールされているXcodeに対してどうするかというメッセージが出てくるので、
ここで「両方とも残す」を選択してください。
App Storeでインストールしたものとは別に、Xcode〜が作成されました。
あとは、このファイルを、今のバージョンと区別するようにわかり易い名前にしてください。
長いと不便なので、「Xcode4」にするほうが良いかと思います。

また、Xcode5で過去のバージョンのSDKが使いたい場合:
Xcode5は使ってもいいけど、SDKを過去のバージョン(iOS6 SDK)を使用したいという例もあります。
そういう時は、下記の手順を行います。
1.さっきの共存するでXcode4をインストールしていない人はインストールを行う
(このインストール自体は後で削除OK。だって容量大きいしSSDを圧迫するし・・・)
2.フォルダ(/Applications/Xcode4(アプリ名).app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk)をコピーする
3.フォルダ(/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs)に貼り付ける
4.プロジェクト設定でiOS6に切り替える
2014-08-27 14:21 コメント

ログインまたは登録してから回答してください

lujian
lujian

Javaが得意です。

@ステータス

  • 更新: 2014-08-27 14:21
  • 閲覧: 1309
  • フォロー: 2
EXIT フルスクリーンモード 回答